#!/usr/bin/python

import os
import sys
import gobject
import pygtk
pygtk.require("2.0")
import gtk

subdir, filename = os.path.split(sys.argv[1])
sys.path.insert(0, ".")
modulename = os.path.splitext(filename)[0]
exec "import %s" % subdir
exec "import %s.%s" % (subdir, modulename)
print "testing:", locals()['src'].__dict__[modulename]
locals()['src'].__dict__[modulename].moduletest()
